#!/bin/bash

apt update

apt install ntpdate -y
# 定义 NTP 服务器列表（可以根据需要更换）
NTP_SERVERS=("0.pool.ntp.org" "1.pool.ntp.org" "2.pool.ntp.org")

echo "开始同步时间..."

# 循环尝试同步时间
for SERVER in "${NTP_SERVERS[@]}"; do
    echo "尝试与 NTP 服务器 $SERVER 同步..."
    sudo ntpdate $SERVER
    if [ $? -eq 0 ]; then
        echo "时间成功同步到 NTP 服务器 $SERVER"
        break
    else
        echo "无法同步到 $SERVER，尝试下一个服务器..."
    fi
done

# 同步系统时间到硬件时钟
echo "同步系统时间到硬件时钟..."
sudo hwclock --systohc

# 验证同步结果
echo "当前时间：$(date)"
echo "硬件时钟：$(sudo hwclock)"

echo "时间同步完成！"
